Subject: Viewing attached pictures with Pine 4.00

From: PINE list <[email-masked]>
Date: Wed, 22 Jul 1998 18:58:37 +0300 (EEST)

Viewing attached pictures with Pine 4.00

	Can anyone tell how can I use this feature?

I inserted this line in the global pine 4.00 configuration file:

image-viewer=/usr/bin/zgv

...but when I test this thing by trying to view and attached jpeg image
the text console just flickers (kinda changes into graphic mode) but it
becomes black a half a second and then is coming back to the text mode
screen like nothing happened. No actually, I tryied againg and I can see
that graphic mode image loading completion bar of zgv. But it won't
display any message only comes back to text mode.

When stopping this process with scroll lock I cand see

                           [VIEWER command launched]

                      [Decoding "Image, """ |          |]

                          [Displaying attachment     ]

and I can see a /usr/bin/zgv /tmp/img-JPE[some_number]

I THINK:        PERSONALLY I think that it is an encoding decoding problem
(mime, uue, base64 - stuff like this...). I think pine is trying to feed
zgv with raw 7 bit data :((((

	Anyone manage to view images with pine 4.00? Is this a bug or...?
... I have to make an script that decodes images? That would be pretty
much work to do... think and you'll agree...

	This would be a nice feature if it would work...

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------